﻿using System.Collections.Generic;
using Telerik.OpenAccess.Metadata.Fluent;
using Telerik.OpenAccess.Metadata;

namespace MvcForum.DomainObjects
{
    public class Category : IEntity, INameable, ISlugable, IOrderable
    {
        private IList<Forum> forums = new List<Forum>();

        public virtual int Id { get; set; }

        public virtual string Name { get; set; }

        public virtual string Slug { get; set; }

        public virtual int Order { get; set; }

        public virtual IList<Forum> Forums { get { return forums; } }

        public static MappingConfiguration<Category> CreateConfiguration()
        {
            var categoryMapping = new MappingConfiguration<Category>();
            categoryMapping.MapType(c => new
            {
                Id = c.Id,
                Name = c.Name,
                Slug = c.Slug,
                Order = c.Order
            }).ToTable("Category");
            categoryMapping.HasProperty(c => c.Id).IsIdentity(KeyGenerator.Autoinc);
            categoryMapping.HasAssociation(c => c.Forums).WithOpposite(f => f.Category);

            return categoryMapping;
        }
    }
}