﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace MvcForum.Repository
{
    public interface IRepository<TEntity> where TEntity : IEntity
    {
        void Add(TEntity instance);

        void Remove(TEntity instance);

        TEntity One(int id);

        TEntity FindOne(Expression<Func<TEntity, bool>> predicate);

        IEnumerable<TEntity> All();

        IEnumerable<TEntity> FindAll(Expression<Func<TEntity, bool>> predicate);

        int Count();

        int Count(Expression<Func<TEntity, bool>> predicate);

        bool Exists(Expression<Func<TEntity, bool>> predicate);
    }
}