﻿using System.Collections.Generic;
using MvcForum.ViewModels;

namespace MvcForum.Service
{
    public interface IForumService
    {
        CategoryViewModel GetCategoryById(int id);

        CategoryViewModel GetCategoryBySlug(string slug);

        IEnumerable<CategoryViewModel> GetCategories();

        ForumViewModel GetForumById(int id);

        ForumViewModel GetForumByCategoryAndSlug(int categoryId, string slug);

        IEnumerable<ForumViewModel> GetForumsByCategoryId(int id);

        ThreadViewModel GetThreadById(int id);

        IEnumerable<ThreadViewModel> GetThreadsByForumId(int id);

        PostViewModel GetPostById(int id);

        IEnumerable<PostViewModel> GetPostsByThreadId(int id);

        int CreateThread(string title, string content, int forumId, int userId);

        int ReplyThread(string content, int threadId, int userId);
    }
}