<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<% Html.Kendo()
       .TreeView()
       .Name("leftMenu")
       .BindTo("siteMap")
       .ItemAction(item =>
       {
           var category = ViewContext.ViewData.Eval("category") as MvcForum.ViewModels.CategoryViewModel;
           var forum = ViewContext.ViewData.Eval("forum") as MvcForum.ViewModels.ForumViewModel;

           if (category != null && item.Items.Count != 0 && item.Text.Equals(category.Name))
           {
               item.Expanded = true;

               // selected category
               if (forum == null && item.Text.Equals(category.Name))
               {
                   item.Selected = true;
               }
           }
           else if (forum != null && item.Items.Count == 0 && item.Text.Equals(forum.Name) && item.Parent.Text.Equals(forum.CategoryName))
           {
               // selected forum
               item.Selected = true;
           }

           // root node
           if (item.Parent == null)
           {
               item.Expanded = true; // always expanded

               // if no forum nor category is selected, then "all forums" is selected
               if (forum == null && category == null)
               {
                   item.Selected = true;
               }
           }
       })
       .Render(); %>