<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<PostListViewModel>" %>
<asp:Content ID="formListTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : <%= Html.Encode(Model.Thread.Title) %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Thread.Title) %></h2>
    <hr />
    <div id="breadcrumb">
        <%= Html.ActionLink("Home", "Index", "Home") %> &gt; 
        <%= Html.ActionLink(Model.Category.Name, "Index", "Forum", new { category = Model.Category.Slug }, null) %> &gt; 
        <%= Html.ActionLink(Model.Forum.Name, "Index", "Thread", new { category = Model.Category.Slug, forum = Model.Forum.Slug }, null) %> &gt; 
        <%= Html.Encode(Model.Thread.Title) %>
    </div>
    <% Html.Kendo()
           .Grid(Model.Items)
           .Name("posts")
           .Columns(column => {
               column.Bound(p => p.PostedAt).Template(p =>
               {%>
                   <div class="author-details">
                   <span>
                       <%= p.PostedAt.ToRelative() %> ago (<%= p.PostedAt.ToString("dd MMMM yyyy, hh:mm tt")%>)
                   </span>
                   <div class="avatar-holder">
                       <img src="<%= p.Gravatar() %>" alt="<% = Html.AttributeEncode(p.UserName) %>" />
                   </div>
                   <span>
                       posted by <%= Html.Encode(p.UserName)%>
                   </span>
                   </div>
               <%}).Title("Author").HtmlAttributes(new { style = "vertical-align:top" });
               column.Bound(p => p.Content).Template(p =>
               {%>
                   <div style="overflow:auto;width:550px;padding: 10px 3px;">
                       <%= p.Content %>
                   </div>
                   <%= Html.ActionLink("Reply", "Reply", "Thread", new { category = Model.Category.Slug, forum = Model.Forum.Slug, post = p.Id }, new { id = "postingButton", @class = "button" })%>
               <%}).Title("Post").Filterable(false).Sortable(false).HtmlAttributes(new { style = "vertical-align:top"});
           })
           .Pageable()
           .Render(); 
    %>
</asp:Content>