<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ThreadListViewModel>" %>
<asp:Content ID="formListTitle" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : <%= Html.Encode(Model.Forum.Name) %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Forum.Name) %></h2>
    <hr />
    <div id="breadcrumb">
        <%= Html.ActionLink("Home", "Index", "Home") %> &gt; 
        <%= Html.ActionLink(Model.Category.Name, "Index", "Forum", new { category = Model.Category.Slug }, null) %> &gt; 
        <%= Html.Encode(Model.Forum.Name) %>
    </div>
    <%= Html.ActionLink("New Thread", "Create", "Thread", new { category = Model.Category.Slug, forum = Model.Forum.Slug }, new { id = "postingButton", @class = "button" }) %>
    <% Html.Kendo().Grid(Model.Items)
           .Name("threads")
           .Columns(column => {
               column.Bound(t => t.Title).Template(t => 
               {%> 
                   <%= Html.ActionLink(t.Title, "Details", "Thread", new { category = Model.Category.Slug, forum = Model.Forum.Slug, thread = t.Id }, null) %> 
               <%});
               column.Bound(t => t.UserName).Template(t => 
               {%> 
                   <span style="vertical-align:middle"><img src="<%= t.Gravatar(20) %>" alt="<% = Html.AttributeEncode(t.UserName) %>"/> <%= Html.Encode(t.UserName) %></span>
               <%}).Title("Created By");
               column.Bound(t => t.CreatedAt).Template(t => 
               {%> 
                   <%= t.CreatedAt.ToRelative() %> ago (<%= t.CreatedAt.ToString("dd MMMM yyyy, hh:mm tt") %>) 
               <%});
               column.Bound(t => t.Posts).Filterable(false).Sortable(false);
           })
           .Pageable()
           .Render(); 
    %>
</asp:Content>