<%@ Import Namespace = "MvcForum.Web" %>
<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ReplyThreadForm>" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    MvcForum by Telerik : <%= Html.Encode(Model.Post.ThreadTitle) %> - Reply
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Post.ThreadTitle)%> - Reply</h2>
    <hr />
    <div id="breadcrumb">
        <%= Html.ActionLink("Home", "Index", "Home") %> &gt; 
        <%= Html.ActionLink(Model.Forum.CategoryName, "Index", "Forum", new { category = Model.Forum.CategorySlug }, null)%> &gt; 
        <%= Html.ActionLink(Model.Forum.Name, "Index", "Thread", new { category = Model.Forum.CategorySlug, forum = Model.Forum.Slug }, null) %> &gt; 
        <%= Html.ActionLink(Model.Post.ThreadTitle, "Details", "Thread", new { category = Model.Forum.CategorySlug, forum = Model.Forum.Slug, thread = Model.Post.ThreadId }, null) %> &gt; 
        Reply
    </div>
    <div class="t-widget t-grid">
        <table cellspacing="0">
            <tbody>
                <tr>
                    <td style="vertical-align:top">
                         <div class="author-details">
                            <span>
                                <%= Model.Post.PostedAt.ToRelative() %> ago (<%= Model.Post.PostedAt.ToString("dd MMMM yyyy, hh:mm tt")%>)
                            </span>
                            <div class="avatar-holder">
                                <img src="<%= Model.Post.Gravatar() %>" alt="<% = Html.AttributeEncode(Model.Post.UserName) %>" />
                            </div>
                            <span>
                                posted by <%= Html.Encode(Model.Post.UserName)%>
                            </span>
                         </div>
                    </td>
                    <td style="vertical-align:top">
                        <div style="overflow:auto;width:550px;padding: 10px 3px;">
                            <%= Model.Post.Content %>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <br />
    <%= Html.ValidationSummary(true, "Reply was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm()) {%>
        <fieldset>
            <%= Html.Kendo().Editor()
                    .Name("Content")
                    .Value(Model.Content)
                    .HtmlAttributes(new { style = "height: 400px; width: 60%;" })
            %>
            <span><%= Html.ValidationMessageFor(m => m.Content)%></span>
            <hr class="dotted" />
             <input type="submit" id="submitButton" class="button" value="Post" /> or <%= Html.ActionLink("go back", "Details", "Thread", new { category = Model.Forum.CategorySlug, forum = Model.Forum.Slug, thread = Model.Post.ThreadId }, null) %>
        </fieldset>
    <% } %>
</asp:Content>