﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using MvcForum.ViewModels;
using MvcForum.Service;

namespace MvcForum.Web
{
    public class ForumController : Controller
    {
        private readonly IForumService forumService;

        public ForumController(IForumService forumService)
        {
            this.forumService = forumService;
        }

        public ActionResult Index(CategoryViewModel category, int? page, string orderBy, string filter)
        {
            if (category == null)
            {
                return new NotFoundResult();
            }

            IEnumerable<ForumViewModel> forums = forumService.GetForumsByCategoryId(category.Id);

            if (orderBy.IsNullOrWhiteSpace())
            {
                forums = forums.OrderBy(f => f.Order);
            }

            ForumListViewModel model = new ForumListViewModel(forums) { Category = category };

            return View(model);
        }
    }
}