﻿using System.Web.Mvc;
using System.Linq;
using Telerik.OpenAccess;
using System.Collections.Generic;
using MvcForum.ViewModels;
using MvcForum.Service;

namespace MvcForum.Web
{
    public class HomeController : Controller
    {
        private readonly IForumService forumService;

        public HomeController()
        {
            
        }

        public HomeController(IForumService forumService)
        {
            this.forumService = forumService;
        }

        public ActionResult Index(int? page, string orderBy, string filter)
        {
            IEnumerable<CategoryViewModel> categories = forumService.GetCategories();

            if (orderBy.IsNullOrWhiteSpace())
            {
                categories = categories.OrderBy(c => c.Order);
            }

            ListViewModel<CategoryViewModel> model = new ListViewModel<CategoryViewModel>(categories);

            return View(model);
        }

        public ActionResult About()
        {
            ViewData["OpenAccessVersion"] = typeof(IObjectScope).Assembly.GetName().Version.ToString();

            return View();
        }
    }
}