﻿using System;
using System.Text;

namespace MvcForum.Web
{
    public static class DateTimeExtensions
    {
        public static string ToRelative(this DateTime instance)
        {
            StringBuilder result = new StringBuilder();
            TimeSpan diff = (SystemTime.Now() - instance);

            Action<int, string> format = (v, u) =>
            {
                if (v > 0)
                {
                    if (result.Length > 0)
                        result.Append(", ");

                    string plural = (v > 1) ? "s" : string.Empty;

                    result.Append(string.Concat(v, " ", u, plural));
                }
            };

            format(diff.Days, "day");
            format(diff.Hours, "hour");
            format(diff.Minutes, "minute");

            return (result.Length == 0) ? "few moments" : result.ToString();
        }
    }
}