﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using MvcForum.Web.Helpers;
using MvcForum.Web.Resources;

namespace MvcForum.Web
{
    public class SignInForm
    {
        [Required]
        [DisplayName("User name")]
        [RegularExpression(ValidationHelper.UserNameRegularExpression, ErrorMessageResourceType = typeof(Errors), ErrorMessageResourceName = "InvalidUserName")]
        public string UserName { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [DisplayName("Password")]
        public string Password { get; set; }

        [DisplayName("Remember me?")]
        public bool RememberMe { get; set; }
    }
}